[分享]DRCOM

为当前最终发行版之前的所有版本提供支持
头像
redsdh
帖子: 67
注册时间: 2006-11-08 16:50
送出感谢: 0
接收感谢: 0

[分享]DRCOM

#1

帖子 redsdh » 2007-03-22 23:25


看到很多同胞还无法上网,我虽然能做的很少,但希望帮点忙!

写在前面: 我的测试安装环境是: Ubuntu 6.10 Desktop liveCD (不能保证其他环境也行)。

具体的安装方法以及文档等等,自己到网络上去搜索,我只写我的安装过程。

1。。。。。。。。。。。。。。。。。。。。。。。。。。。。

下载 ubuntu-6.10-alternate-i386.iso (因为安装需要里面提供deb包。

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
你也可以选择不下载,自己手动到
http://ubuntu.cn99.com/ubuntu/ 下的pool/main中查找
(软件包名单

#################################

build-essential

dpkg-dev

libstdc++6-4.1-dev

g++-4.1

g++

libc6-dev

linux-libc-dev

zlib1g-dev_1.2.3-13ubuntu2_i386

libssl-dev_0.9.8b-2ubuntu2_i386

###################################

在我上传的tar包,里面有 我用到的drcom1.3.2。
里面,我使用修改过的drcom1.3.2。

2。。。。。。。。。。。。。。。。。。。。。。。。。。。。

(没有下载iso的话,略过)
挂载: ubuntu-6.10-alternate-i386.iso 在shell 中执行(假定,下载的iso在/home/ubuntu)
$ sudo mkdir /media/cdrom
$ sudo mount -o loop /home/ubuntu/*.deb /media/cdrom

3。。。。。。。。。。。。。。。。。。。。。。。。。。。。

(没有下载iso的话,略过)
浏览到 /media/cdrom/pool/main/ 搜索出如下搜有包:

build-essential

dpkg-dev

libstdc++6-4.1-dev

g++-4.1

g++

libc6-dev

linux-libc-dev

zlib1g-dev_1.2.3-13ubuntu2_i386

libssl-dev_0.9.8b-2ubuntu2_i386

4。。。。。。。。。。。。。。。。。。。。。。。。。
你可能搜不到以下的两个软件包,到源里或者Google下找吧。

zlib1g-dev_1.2.3-13ubuntu2_i386

libssl-dev_0.9.8b-2ubuntu2_i386




5。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。
把他们全都拷贝到 一个目录中 比如 /home/ubuntu/drcom

下载我上传的包,加压后加到/home/ubuntu/drcom

现在,你已经把

##

build-essential

dpkg-dev

libstdc++6-4.1-dev

g++-4.1

g++

libc6-dev

linux-libc-dev

zlib1g-dev_1.2.3-13ubuntu2_i386

libssl-dev_0.9.8b-2ubuntu2_i386

drcom-1.3.2

全部拷贝到了 /home/drcom

##
在shell, cd 到 drcom 执行:

$ sudo dpkg -i *.deb
$ cd drcom-1.3.2
$ make
$ sudo make install
$ sudo gedit /etc/drcom.conf

编辑, 我的drcom.conf 如下:

username=登录用户名
password=登录密码
mac=你的MAC地址 ( $ifconfig 查看)
nic0=你的ip地址
nic1=
nic2=
nic3=
dnsp=主DNS服务器
dnss=次DNS服务器
dhcp=

hostip=
servip=服务器地址
hostport=
servport=

hostname=
winver=
winbuild=
servicepack=

5。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。

最后,执行

$ sudo drcomd
$ sudo drcomc login
$ sudo drcomc logout




Enjoying 。。。。。。。。
附件
drcom-1.3.2.tar.gz
(87.16 KiB) 下载 728 次
头像
dogfox
论坛版主
帖子: 5309
注册时间: 2006-09-02 14:18
来自: 汉桑城
送出感谢: 1 次
接收感谢: 1 次
联系:

#2

帖子 dogfox » 2007-03-22 23:29

这是什么?
全世界linux爱好者联合起来 !
一切闭源操作系统都是纸老虎 !
要斗私批修,拒绝黑屏,使用linux !
让一部分人先用起Archlinux来 !
linux是第一生产力 !
讲正气,讲开源,讲free
要坚定不移的走开源的道路 !
linux明天会更好 !

dpkg -l |grep ^rc|awk '{print $2}' |tr ["\n"] [" "]|sudo xargs dpkg -P -
ubuntu粉丝群 26660836 已满员
newerABC
帖子: 60
注册时间: 2007-01-15 23:14
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 newerABC » 2007-03-22 23:30

谢谢啊,现在在家,明天就试试。
头像
redsdh
帖子: 67
注册时间: 2006-11-08 16:50
送出感谢: 0
接收感谢: 0

#4

帖子 redsdh » 2007-03-22 23:31

校园里登录外网的客户端。
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 SuperWar3Fan » 2007-03-23 15:20

收藏了!
cong
帖子: 2
注册时间: 2007-03-24 1:51
送出感谢: 0
接收感谢: 0

#6

帖子 cong » 2007-03-24 1:56

感谢,有空试试
头像
redsdh
帖子: 67
注册时间: 2006-11-08 16:50
送出感谢: 0
接收感谢: 0

#7

帖子 redsdh » 2007-03-24 9:57

谁谁弄好了,说下啦,分享下喜悦嘛,呵呵!
storein
帖子: 163
注册时间: 2007-03-05 16:52
送出感谢: 0
接收感谢: 0

#8

帖子 storein » 2007-03-24 9:59

确实没有搞明白是什么东西。
ljflovewyn
帖子: 21
注册时间: 2007-03-15 15:12
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 ljflovewyn » 2007-03-24 18:08

好多包都找不到,安装老出错,我用的是http://forum.ubuntu.org.cn/viewtopic.php?t=36214&highlight=dr.com所提供的deb包,安装完之后出现了登录框,但是输入密码和用户名始终登录不上,而是出现------>符号,不知是什么原因。那位大侠能解释下
头像
redsdh
帖子: 67
注册时间: 2006-11-08 16:50
送出感谢: 0
接收感谢: 0

#10

帖子 redsdh » 2007-03-24 22:17

ljflovewyn 写了:好多包都找不到,安装老出错,我用的是http://forum.ubuntu.org.cn/viewtopic.php?t=36214&highlight=dr.com所提供的deb包,安装完之后出现了登录框,但是输入密码和用户名始终登录不上,而是出现------>符号,不知是什么原因。那位大侠能解释下

你切换到英文环境,就会发现,那是‘找不到服务器’。用我的方法试试吧。我的邮箱是

redsdh@gmail.com

我有全部的包,太大了,附近传不上,我通过邮箱发给你!
binsir543
帖子: 180
注册时间: 2007-03-22 2:04
送出感谢: 0
接收感谢: 0

#11

帖子 binsir543 » 2007-03-25 8:27

是能访问国外网的吗????跟教育网直通车有什么不一样吗
ljflovewyn
帖子: 21
注册时间: 2007-03-15 15:12
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 ljflovewyn » 2007-03-25 14:56

我用了你的方法,但是我在用Make编译的时候,出错,说是什么文件夹不存在,结果就推出了
ljflovewyn
帖子: 21
注册时间: 2007-03-15 15:12
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 ljflovewyn » 2007-03-25 14:56

我用了你的方法,但是我在用Make编译的时候,出错,说是什么文件夹不存在,结果就退出了
beiling
帖子: 32
注册时间: 2007-02-15 21:02
送出感谢: 0
接收感谢: 0

#14

帖子 beiling » 2007-03-25 15:30

我下了ubuntu-6.10-alternate-i386.iso ,只安装了 build-essential 和drcom-1.3.2 。改了一下drcom.conf也能上外网了。但是用eva登录qq时第一次提示:connot login ,try later please .再次登录时显示:你所在的ip暂时不能使用低版本的qq,请到。。。。。。。升级。
是不是没完整安装的原因,还是哪边设置问题?
binsir543
帖子: 180
注册时间: 2007-03-22 2:04
送出感谢: 0
接收感谢: 0

#15

帖子 binsir543 » 2007-03-25 17:29

能上国外网吗???真的急用
回复

回到 “老旧版本支持”